
//  @(#)base.h 1.3 94/02/03
//
//  Contains definitions for class "Base".
//
//  Copyright (c) Rich Burridge.    All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

class Base {
  public:

  char *filenames ;         // List of file(s) to print
  Atom COMPOUND_TEXT ;
  Display *dpy ;
  int depth ;               // Depth of the screen in pixels.
  int screen ;
  Window root ;
  Widget *warr ;

       Base                 () ;
  void do_copies_dec        (void) ;
  void do_copies_inc        (void) ;
  void do_exit_mptool       (void) ;
  void do_file_apply        (void) ;
  void do_file_dismiss      (void) ;
  void do_print_files       (void) ;
  void do_reset_options     (void) ;
  void do_save_defaults     (void) ;
  void do_show_base         (void) ;
  void do_show_file         (void) ;
  void get_main_vals        (void) ;
  void set_icon             (enum icon_type) ;

  private:

  Pixmap nicon ;            // Normal icon image.
  Pixmap picon ;            // Printing icon image.
  Widget fpopup ;           // File Selection dialog popup.
  Widget *fwarr ;
} ;
