
//  @(#)xutil.h 1.3 93/12/19
//
//  Contains definitions for class "Xutil".
//
//  Copyright (c) Rich Burridge.    All rights reserved.
//
//  Permission is given to distribute these sources, as long as the
//  copyright messages are not removed, and no monies are exchanged.
//
//  No responsibility is taken for any errors or inaccuracies inherent
//  either to the comments or the code of this program, but if
//  reported to me then an attempt will be made to fix them.

class Xutil {
  public:
 
    Widget npopup ;              // Popup information dialog.

    Xutil                        () ;

    Pixmap create_mp_pixmap      (char *) ;

    char *get_str_value          (enum frame_type, int) ;

    int get_bool_value           (enum frame_type, int) ;
    int get_int_value            (enum frame_type, int) ;
    int get_scroll_nrows         (Widget) ;
    int is_window_showing        (Widget) ;
    int item_exists              (Widget, char *) ;

    void add_delete_callback     (Widget) ;
    void add_list_item           (Widget, int, char *) ;
    void delete_list_item        (Widget, int) ;
    static void dismiss_popup    (Widget, XtPointer, XmAnyCallbackStruct *) ;
    void force_popup_on_screen   (Widget, int *, int *) ;
    void get_screen_size         (int *, int *) ;
    void notice                  (Widget, char *) ;
    void position_popup          (Widget, Widget) ;
    void set_active              (enum frame_type, int, int) ;
    void set_bool_value          (enum frame_type, int, int) ;
    void set_excl_value          (enum frame_type, int) ;
    void set_int_value           (enum frame_type, int, int) ;
    void set_list_position       (Widget, int) ;
    void set_str_value           (enum frame_type, int, char *) ;
    void show_popup              (Widget) ;

#ifndef NO_DND
    static void drop_proc        (Widget, XtPointer, XtPointer) ;
    void init_dnd                (Widget) ;
    static void transfer_proc    (Widget, XtPointer, Atom *, Atom *,
                                          XtPointer, unsigned long *, int) ;
#endif // !NO_DND

  private:
} ;
